For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • GETGet HRX manager for worker
LogoLogo
SupportDeel Home
EndpointsWorker Hr

Get HRX manager for worker

GET
/escalations/workers/me/hrx
GET
/rest/v2/escalations/workers/me/hrx
$curl https://api.letsdeel.com/rest/v2/escalations/workers/me/hrx \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "id": "550e8400-e29b-41d4-a716-446655440000",
4 "name": "Person Name",
5 "avatar": "www.storage.com/person/avatar.png",
6 "created_at": "2024-01-15T10:30:00Z",
7 "updated_at": "2024-01-15T10:30:00Z",
8 "cal_com_url": "https://www.website.com/schedule-a-call"
9 }
10}

Retrieves the Human Resource Experience (HRX) Manager assigned to the authenticated worker, including contact details and a scheduling URL. Accessible only to workers with the appropriate permissions. Token scopes: worker:read

Was this page helpful?
Previous

Add bank account

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Response

Successful operation. Returns HRX representative information for the worker based on their country.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error